RDKit::CIPLabeler::Sort Class Reference

`#include <Sort.h>`

## Public Member Functions

| Sort (const SequenceRule *comparator)
| Sort (std::vector< const SequenceRule * > comparators)
const std::vector< const SequenceRule * > & | getRules () const
Priority | prioritize (const Node *node, std::vector< Edge * > &edges, bool deep=true) const
std::vector< std::vector< Edge * > > | getGroups (const std::vector< Edge * > &sorted) const

## Detailed Description

A simple insertion sort for substituents. The number of substituents is not likely to be large enough that doing a merge sort would make a difference

Definition at line 28 of file Sort.h.

## Constructor & Destructor Documentation

## Sort() [1/2]

RDKit::CIPLabeler::Sort::Sort | ( | const SequenceRule * | comparator | ) |

## Sort() [2/2]

RDKit::CIPLabeler::Sort::Sort | ( | std::vector< const SequenceRule * > | comparators | ) |

## Member Function Documentation

## getGroups()

std::vector<std::vector<Edge *> > RDKit::CIPLabeler::Sort::getGroups | ( | const std::vector< Edge * > & | sorted | ) | const

## getRules()

const std::vector<const SequenceRule *>& RDKit::CIPLabeler::Sort::getRules | ( |  | ) | const

## prioritize()

Priority RDKit::CIPLabeler::Sort::prioritize | ( | const Node * | node,
|  | std::vector< Edge * > & | edges,
|  | bool | deep = `true`
| ) |  | const

The documentation for this class was generated from the following file:

- Sort.h